%global         testcommit  1e565931348f15f3f9b654f46ab4bf5fa009ca4f
%global         testshortcommit  %(c=%{testcommit}; echo ${c:0:8})
Name:           muon
Version:        0.3.1
Release:        1%{?dist}
Summary:        C implementation of meson

License:        Apache-2.0 AND  GPL-3.0-only AND  MIT AND  Unlicense
URL:            https://muon.build
Source0:        https://git.sr.ht/~lattis/%{name}/archive/%{version}.tar.gz
Source1:        https://git.sr.ht/~lattis/meson-tests/archive/%{testshortcommit}.tar.gz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libarchive-devel
BuildRequires:  libcurl-devel
BuildRequires:  libpkgconf-devel
BuildRequires:  pkgconf
BuildRequires:  python3
BuildRequires:  python3dist(pyyaml)
BuildRequires:  scdoc

%description
An implementation of the meson build system in c99 with minimal dependencies.

%prep
%autosetup -n %{name}-%{version}
tar xf %{SOURCE1}
mv meson-tests-%{testshortcommit} tests/project/meson-tests

%build
CFLAGS="-fPIE -DBOOTSTRAP_NO_TRACY" ./bootstrap.sh %{_vpath_builddir}
%{_vpath_builddir}/muon setup -Dprefix=%{_prefix} %{_vpath_builddir}
%{_vpath_builddir}/muon -C %{_vpath_builddir} samu

%check
# Two tests fail at present
#%{_vpath_builddir}/muon -C %{_vpath_builddir} test

%install
DESTDIR=%{buildroot} %{_vpath_builddir}/muon \
	 -C %{_vpath_builddir} install

%files
%license LICENSES/Apache-2.0.txt
%license LICENSES/GPL-3.0-only.txt
%license LICENSES/MIT.txt
%license LICENSES/Unlicense.txt
%{_bindir}/muon
%{_mandir}/man1/muon.*
%{_mandir}/man5/meson.*


%changelog
* Wed Oct 09 2024 Benson Muite <benson_muite@emailplus.org> - 0.3.1-1
- Initial import
